Commit b569fb1d authored by Alexander Diewald's avatar Alexander Diewald
Browse files

Oomph: Update the releng setup script to 2019-12


Signed-off-by: Alexander Diewald's avatarAlexander Diewald <diewald@fortiss.org>
parent e2c1f25f
......@@ -14,7 +14,7 @@
xmlns:setup.workingsets="http://www.eclipse.org/oomph/setup/workingsets/1.0"
xsi:schemaLocation="http://maybeec.github.io/oomph-task-unzip/1.0 https://raw.githubusercontent.com/maybeec/oomph-task-unzip/master/task-unzip-updatesite/model/Oomph-task-unzip.ecore http://www.eclipse.org/oomph/setup/git/1.0 http://git.eclipse.org/c/oomph/org.eclipse.oomph.git/plain/setups/models/Git.ecore http://www.eclipse.org/oomph/setup/mylyn/1.0 http://git.eclipse.org/c/oomph/org.eclipse.oomph.git/plain/setups/models/Mylyn.ecore http://www.eclipse.org/oomph/setup/pde/1.0 http://git.eclipse.org/c/oomph/org.eclipse.oomph.git/plain/setups/models/PDE.ecore http://www.eclipse.org/oomph/predicates/1.0 http://git.eclipse.org/c/oomph/org.eclipse.oomph.git/plain/setups/models/Predicates.ecore http://www.eclipse.org/oomph/setup/projects/1.0 http://git.eclipse.org/c/oomph/org.eclipse.oomph.git/plain/setups/models/Projects.ecore http://www.eclipse.org/oomph/setup/workingsets/1.0 http://git.eclipse.org/c/oomph/org.eclipse.oomph.git/plain/setups/models/SetupWorkingSets.ecore"
name="autofocus3-releng"
label="AutoFOCUS 3 (Releng, 2019-06)">
label="AutoFOCUS 3 (Releng, 2019-12)">
<setupTask
xsi:type="setup:EclipseIniTask"
option="-Xmx"
......@@ -32,16 +32,16 @@
<setupTask
xsi:type="setup:VariableTask"
name="eclipse.target.platform"
value="2019-09"/>
value="2019-12"/>
<setupTask
xsi:type="setup.p2:P2Task"
label="Eclipse 2019-09 Update Site stuff">
label="Eclipse 2019-12 Features">
<requirement
name="org.eclipse.platform.feature.group"
versionRange="[4.13.0,4.14.0)"/>
versionRange="[4.14.0,4.15.0)"/>
<requirement
name="org.eclipse.emf.sdk.feature.group"
versionRange="[2.19.0,2.20.0)"/>
versionRange="[2.20.0,2.21.0)"/>
<requirement
name="org.eclipse.emf.transaction.sdk.feature.group"
versionRange="[1.12.0,1.13.0)"/>
......@@ -56,10 +56,10 @@
versionRange="[1.12.0,1.13.0)"/>
<requirement
name="org.eclipse.xtext.sdk.feature.group"
versionRange="[2.19.0,2.20.0)"/>
versionRange="[2.20.0,2.21.0)"/>
<requirement
name="org.eclipse.epp.package.modeling.feature.feature.group"
versionRange="[4.13.0,4.14.0)"/>
versionRange="[4.14.0,4.15.0)"/>
<repository
url="https://download.eclipse.org/releases/${eclipse.target.platform}/"/>
<repository
......@@ -71,16 +71,16 @@
label="eGit jGit">
<requirement
name="org.eclipse.egit.feature.group"
versionRange="[5.5.0,5.6.0)"/>
versionRange="[5.6.0,5.7.0)"/>
<requirement
name="org.eclipse.jgit.feature.group"
versionRange="[5.5.0,5.6.0)"/>
versionRange="[5.6.0,5.7.0)"/>
<requirement
name="org.eclipse.egit.mylyn.feature.group"
versionRange="[5.5.0,5.6.0)"
versionRange="[5.6.0,5.7.0)"
filter=""/>
<repository
url="https://download.eclipse.org/egit/updates-5.5.1"/>
url="https://download.eclipse.org/egit/updates-5.6"/>
<description>Install Git support for interacting with the AF3 repositories.</description>
</setupTask>
<setupTask
......@@ -178,8 +178,8 @@
<setupTask
xsi:type="setup:PreferenceTask"
id="jfx.installation.setting"
key="/instance/org.eclipse.fx.ide.ui/javafx-sdk-${jfx.installation.version}"
value="${installation.location/javafx-sdk}-${jfx.installation.version}/lib/"/>
key="/instance/org.eclipse.fx.ide.ui/javafx-sdk"
value="${installation.location}/javafx-sdk-${jfx.installation.version}/lib/"/>
</setupTask>
<setupTask
xsi:type="setup:CompoundTask"
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment